Skip to main content
POST
/
v2.0
/
users
/
changepassword
Change a User Password
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/users/changepassword \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "email": "<string>",
  "oldPassword": "<string>",
  "newPassword": "<string>"
}
'
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Query Parameters

organisationId
string

Body

application/json
email
string
required

The email of the user

oldPassword
string
required

The current (old) password of the user

newPassword
string
required

The new password the user wants to use

Response

The password was successfully changed.